<!doctype html>
<html class="no-js" lang="">
    @@include('./template/_head.html')
    <body>
        @@include('./template/_header.html')
    	<div class="page-wrap">
    		
    		<div class="wrapper member">
                <!-- breadcrumb -->
                <div class="breadcrumb">
                    <a class="headDotTxt">MORE ON LAMOCHA</a>
                    <span>></span>
                    <a href="#">會員中心</a>
                </div>
                <!-- 上方icons -->
    			<div class="memberHead">
                    <a href="#" class="info current"></a>
                    <a href="#" class="wishlist"></a>
                    <a href="#" class="order"></a>
                </div>

                <!-- 資料部分 -->
                <div class="memberChange">
                    <div class="memberChange-input">
                    <form name="memberform">
                        <div class="inputbox">
                            <label>帳號：</label>
                            <span>lamocha2007@gmail.com</span>
                            <!-- <input type="text" name="" placeholder="lamocha2007@gmail.com"> -->
                            <button>修改密碼</button>
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>姓名：</label>
                            <input type="text" name="" class="requiredInput" data-errmsg="姓名">
                        </div>
                        
                        <div class="inputbox">
                            <label>聯絡電話：</label>
                            <input type="tel" name="" class="hiddenInput" value="0223451234">
                            <button class="toggleHiddenInput">修改</button>
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>手機：</label>
                            <input type="tel" name="" class="hiddenInput requiredInput js-mobile" data-errmsg="手機" value="0988123456">
                            <button class="toggleHiddenInput">修改</button>
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>聯絡地址：</label>
                            <div class="selectWrap2">
                                <select class="requiredInput" data-errmsg="縣市">
                                    <option value="">請選擇縣市</option>
                                    <option value="台北市">台北市</option>
                                </select>
                            </div>
                            <div class="selectWrap2">
                                <select class="requiredInput" data-errmsg="區域">
                                    <option value="">請選擇區域</option>
                                    <option value="中正區">中正區</option>
                                </select>
                            </div>
                            <input type="text" name="" class="address1 requiredInput" data-errmsg="郵遞區號">
                            <input type="text" name="" class="address2 requiredInput" data-errmsg="地址">
                        </div>
                        <div class="inputbox">
                            <label><span class="redTxt">*</span>信箱： </label>
                            <input type="email" name="" class="js-email requiredInput" data-errmsg="信箱">
                        </div>
                        <div class="inputbox newsletter">
                            <input type="checkbox" name="">
                            <span>我要訂閱LA MOCHA電子報</span>
                        </div>
                    </form>
                    </div>
                </div>

                <!-- 按鈕部分 -->
                <div class="actionBtn">
                    <a href="#" class="cancel"></a>
                    <a href="#" class="ok js-checkInputFilled" data-checkform="memberform"></a>
                </div>

		    </div>
    	</div>
    	@@include('./template/_footer.html')
        <script type="text/javascript">

            //會員中心 修改按鈕
            $('.toggleHiddenInput').on('click', function(e) {
                e.preventDefault();
                var parentbox = $(this).parents('.inputbox');
                var intialValue = $(this).data('initial') || '';

                if (parentbox.hasClass('opened')) {
                    $(this).text('修改');
                    $(this).parents('.inputbox').find('input').val($(this).data('initial'));
                } else {
                    $(this).data('initial', $(this).parents('.inputbox').find('input').val());
                    $(this).text('取消修改');
                    $(this).parents('.inputbox').find('input').val('');
                }
                parentbox.toggleClass('opened');
            });


            //確認必填欄位
            $('.js-checkInputFilled').on('click', function(e) {
                e.preventDefault();
                var targetForm = $(this).data('checkform');
                var tocheckInputs = $(document[targetForm]).find('.requiredInput');
                var formOk = true;
                $.each(tocheckInputs, function(idx, inputElem) {
                    var errMessage = $(inputElem).data('errmsg');
                    if (errMessage === undefined) {
                        errMessage = '必填欄位';
                    }
                    console.log('test ' + errMessage + ', value: ' + $(inputElem).prop('tagName'));
                    if (($(inputElem).prop('tagName') !== 'INPUT') && ($(inputElem).prop('tagName') !== 'SELECT')) {
                        return;
                    }

                    if ($(inputElem).val() === '') {
                        showAlertMsg(inputElem, errMessage);
                        formOk = false;
                        return false;
                    }


                    if ($(inputElem).hasClass('js-email')) { console.log('check email');
                        if (!emailCheck($(inputElem).val())) {
                            alert('email格式錯誤');
                            formOk = false;
                            return false;
                        }
                    }


                    if ($(inputElem).hasClass('js-mobile')) {
                        if (!checkMobile($(inputElem).val())) {
                            alert('手機格式錯誤');
                            formOk = false;
                            $(inputElem).val('').focus();
                            return false;
                        }
                    }



                });

                

                if (formOk) {
                    if (targetForm === 'loginForm') {
                        cmdLogin();
                    } else if (targetForm === 'registForm') {
                        document.registForm.submit();
                    }
                    console.log('go');  
                }
                
                // cmdLogin();

            });


            function showAlertMsg(inputElem, errMessage) {
                if ((inputElem.tagName).toUpperCase() === 'INPUT') {
                    alert('請填寫' + errMessage);
                }
                if ((inputElem.tagName).toUpperCase() === 'SELECT') {
                    alert('請選擇' + errMessage);
                }
            }

            function emailCheck(emailVal) {
                var re = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
                return re.test(emailVal);
            }

            // function check_password(pwd) {
            //     var xRegxp = /^([a-zA-Z]+\d+|\d+[a-zA-Z]+)[a-zA-Z0-9]*$/;
            //     if (xRegxp.test(pwd) != true) {
            //         alert("您的密碼需是英文+數字的組合！");
            //         return false;
            //     }
            //     return true;
            // }

            function checkMobile(mobile) {
                var mobileOk = true;
                if (mobile.length !== 10) {
                    mobileOk = false;
                }
                var testReg = /^0/;
                if (!testReg.test(mobile)) {
                    mobileOk = false;
                }
                return mobileOk;
            }

        </script>
    </body>
</html>
